[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#220875: marked as done (xbase-clients_4.2.1-14 fails during upgrade)



Your message dated Sun, 16 Nov 2003 23:39:48 -0500
with message-id <20031117043948.GC15429@deadbeast.net>
and subject line Bug#220875: xbase-clients_4.2.1-14 fails during upgrade
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--------------------------------------
Received: (at submit) by bugs.debian.org; 15 Nov 2003 11:08:20 +0000
>From tonywhitmore@users.sourceforge.net Sat Nov 15 05:08:15 2003
Return-path: <tonywhitmore@users.sourceforge.net>
Received: from ptb-mailc05.plus.net [212.159.14.211] 
	by master.debian.org with esmtp (Exim 3.35 1 (Debian))
	id 1AKyHl-00049p-00; Sat, 15 Nov 2003 05:08:13 -0600
Received: from streetend.force9.co.uk ([212.159.77.227] helo=[127.0.0.1])
	by ptb-mailc05.plus.net with esmtp (Exim 4.12)
	id 1AKyHk-000PAN-00; Sat, 15 Nov 2003 11:08:12 +0000
Content-Type: text/plain; charset="us-ascii"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
From: Tony Whitmore <tonywhitmore@users.sourceforge.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xbase-clients_4.2.1-14 fails during upgrade
Bcc: Tony Whitmore <tonywhitmore@users.sourceforge.net>
X-Mailer: reportbug 2.36
Date: Sat, 15 Nov 2003 11:08:12 +0000
Message-Id: <E1AKyHk-000PAN-00@ptb-mailc05.plus.net>
Delivered-To: submit@bugs.debian.org
X-Spam-Status: No, hits=-5.0 required=4.0
	tests=HAS_PACKAGE
	version=2.53-bugs.debian.org_2003_11_13
X-Spam-Level: 
X-Spam-Checker-Version: SpamAssassin 2.53-bugs.debian.org_2003_11_13 (1.174.2.15-2003-03-30-exp)

Package: xbase-clients
Version: 4.2.1-13
Severity: normal


I have just run my daily upgrade cycle and pulled down the upgrades to the X packages, amongst others. The installation of xbase-clients, and the dependant 
packages failed with this output from aptitude:

#### Output ####
The following packages will be upgraded:
  xbase-clients 
1 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 1639kB of archives. After unpacking 0B will be used.
Do you want to continue? [Y/n/?] 
Get:1 http://www.mirror.ac.uk unstable/main xbase-clients 4.2.1-14 [1639kB]
Fetched 1639kB in 27s (59.3kB/s)                                                                                                             
(Reading database ... 33427 files and directories currently installed.)
Preparing to replace xbase-clients 4.2.1-13 (using .../xbase-clients_4.2.1-14_i386.deb) ...
xbase-clients preinst error: be installed until this file is removed
dpkg: error processing /var/cache/apt/archives/xbase-clients_4.2.1-14_i386.deb (--unpack):
 subprocess pre-installation script returned error exit status 74
xbase-clients postinst error: /etc/X11/xkb/xkbcomp is not a symbolic link
dpkg: error while cleaning up:
 subprocess post-installation script returned error exit status 74
Errors were encountered while processing:
 /var/cache/apt/archives/xbase-clients_4.2.1-14_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Ack!  Something bad happened while installing packages.  Trying to recover:
Setting up xbase-clients (4.2.1-13) ...
xbase-clients postinst error: /etc/X11/xkb/xkbcomp is not a symbolic link
dpkg: error processing xbase-clients (--configure):
 subprocess post-installation script returned error exit status 74
dpkg: dependency problems prevent configuration of xdm:
 xdm depends on xbase-clients; however:
  Package xbase-clients is not configured yet.
dpkg: error processing xdm (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of x-window-system:
 x-window-system depends on xdm; however:
  Package xdm is not configured yet.
dpkg: error processing x-window-system (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of x-window-system-core:
 x-window-system-core depends on xbase-clients; however:
  Package xbase-clients is not configured yet.
dpkg: error processing x-window-system-core (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 xbase-clients
 xdm
 x-window-system
 x-window-system-core
Reading Package Lists... Done             
Building Dependency Tree       
Reading extended state information... Done
###### EOF ######

Something that might affect this installation is that I'm running XFree86 4.3.0 from www.xfree86.org in order to get support for my graphics card. As I 
understand it, debian maintains the packaged versions in order to satisfy the dependencies of X-based programs. :S
I've had a Google and this hasn't thrown anything up that *I* see as relevant. This is my first bug report, so I hope I haven't committed any faux pas :)

Cheers,

Tony

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux debian 2.4.22 #1 Tue Nov 11 18:35:01 GMT 2003 i686
Locale: LANG=C, LC_CTYPE=en_US.UTF-8

Versions of packages xbase-clients depends on:
ii  cpp-3.2                   1:3.2.3-8      The GNU C preprocessor
ii  libc6                     2.3.2.ds1-10   GNU C Library: Shared libraries an
ii  libdps1                   4.2.1-14       Display PostScript (DPS) client li
ii  libfreetype6              2.1.5-3        FreeType 2 font engine, shared lib
ii  libncurses5               5.3.20030719-4 Shared libraries for terminal hand
ii  libxaw7                   4.2.1-14       X Athena widget set library
ii  xlibmesa3-gl [libgl1]     4.2.1-14       Mesa 3D graphics library [XFree86]
ii  xlibmesa3-glu [libglu1]   4.2.1-14       Mesa OpenGL utility library [XFree
ii  xlibs                     4.2.1-14       X Window System client libraries

-- debconf information:
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "en_US.UTF-8",
	LANG = (unset)
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory


---------------------------------------
Received: (at 220875-done) by bugs.debian.org; 17 Nov 2003 04:39:50 +0000
>From branden@deadbeast.net Sun Nov 16 22:39:49 2003
Return-path: <branden@deadbeast.net>
Received: from dhcp065-026-182-085.indy.rr.com (redwald.deadbeast.net) [65.26.182.85] 
	by master.debian.org with esmtp (Exim 3.35 1 (Debian))
	id 1ALbAz-0006kR-00; Sun, 16 Nov 2003 22:39:49 -0600
Received: by redwald.deadbeast.net (Postfix, from userid 1000)
	id C514A6427E; Sun, 16 Nov 2003 23:39:48 -0500 (EST)
Date: Sun, 16 Nov 2003 23:39:48 -0500
From: Branden Robinson <branden@debian.org>
To: 220875-done@bugs.debian.org
Subject: Re: Bug#220875: xbase-clients_4.2.1-14 fails during upgrade
Message-ID: <20031117043948.GC15429@deadbeast.net>
References: <E1AKyHk-000PAN-00@ptb-mailc05.plus.net>
Mime-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha1;
	protocol="application/pgp-signature"; boundary="Y5rl02BVI9TCfPar"
Content-Disposition: inline
In-Reply-To: <E1AKyHk-000PAN-00@ptb-mailc05.plus.net>
User-Agent: Mutt/1.5.4i
Delivered-To: 220875-done@bugs.debian.org
X-Spam-Status: No, hits=-5.7 required=4.0
	tests=EMAIL_ATTRIBUTION,QUOTED_EMAIL_TEXT
	version=2.53-bugs.debian.org_2003_11_15
X-Spam-Level: 
X-Spam-Checker-Version: SpamAssassin 2.53-bugs.debian.org_2003_11_15 (1.174.2.15-2003-03-30-exp)


--Y5rl02BVI9TCfPar
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Sat, Nov 15, 2003 at 11:08:12AM +0000, Tony Whitmore wrote:
> Package: xbase-clients
> Version: 4.2.1-13
> Severity: normal
>
> I have just run my daily upgrade cycle and pulled down the upgrades to
> the X packages, amongst others. The installation of xbase-clients, and
> the dependant packages failed with this output from aptitude:
>
> #### Output ####
> The following packages will be upgraded:
>   xbase-clients
> 1 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
> Need to get 1639kB of archives. After unpacking 0B will be used.
> Do you want to continue? [Y/n/?]
> Get:1 http://www.mirror.ac.uk unstable/main xbase-clients 4.2.1-14 [1639k=
B]
> Fetched 1639kB in 27s (59.3kB/s)
> (Reading database ... 33427 files and directories currently installed.)
> Preparing to replace xbase-clients 4.2.1-13 (using .../xbase-clients_4.2.=
1-14_i386.deb) ...
> xbase-clients preinst error: be installed until this file is removed
> dpkg: error processing /var/cache/apt/archives/xbase-clients_4.2.1-14_i38=
6.deb (--unpack):
>  subprocess pre-installation script returned error exit status 74
> xbase-clients postinst error: /etc/X11/xkb/xkbcomp is not a symbolic link
> dpkg: error while cleaning up:
>  subprocess post-installation script returned error exit status 74
> Errors were encountered while processing:
>  /var/cache/apt/archives/xbase-clients_4.2.1-14_i386.deb
> E: Sub-process /usr/bin/dpkg returned an error code (1)
> Ack!  Something bad happened while installing packages.  Trying to recove=
r:
> Setting up xbase-clients (4.2.1-13) ...
> xbase-clients postinst error: /etc/X11/xkb/xkbcomp is not a symbolic link
> dpkg: error processing xbase-clients (--configure):
>  subprocess post-installation script returned error exit status 74
> dpkg: dependency problems prevent configuration of xdm:
>  xdm depends on xbase-clients; however:
>   Package xbase-clients is not configured yet.
> dpkg: error processing xdm (--configure):
>  dependency problems - leaving unconfigured
> dpkg: dependency problems prevent configuration of x-window-system:
>  x-window-system depends on xdm; however:
>   Package xdm is not configured yet.
> dpkg: error processing x-window-system (--configure):
>  dependency problems - leaving unconfigured
> dpkg: dependency problems prevent configuration of x-window-system-core:
>  x-window-system-core depends on xbase-clients; however:
>   Package xbase-clients is not configured yet.
> dpkg: error processing x-window-system-core (--configure):
>  dependency problems - leaving unconfigured
> Errors were encountered while processing:
>  xbase-clients
>  xdm
>  x-window-system
>  x-window-system-core
> Reading Package Lists... Done
> Building Dependency Tree
> Reading extended state information... Done
> ###### EOF ######
>
> Something that might affect this installation is that I'm running
> XFree86 4.3.0 from www.xfree86.org in order to get support for my
> graphics card.

That is probably the cause of the problem.  The Debian XFree86 packages
attempt to cope with being installed over non-Debian installations of
XFree86, but they will not clobber configuration files (for fear of
destroying valuable user data); you have managed to install a file where
the packages expect a symlink, and this situation cannot be tolerated by
the packages.

I suggest you have a look at what /etc/X11/xkb/xkbcomp is, and decide
whether you can get along without it.

Incidentally, the first error message you saw was a bit broken (this
will be fixed in xfree86 4.2.1-15); it should have read:

  xbase-clients preinst error: /etc/X11/xkb/xkbcomp exists and is not a
  symbolic link; this package cannot be installed until this file is
  removed.

Closing this bug as due to local system configuration.

--=20
G. Branden Robinson                |     It just seems to me that you are
Debian GNU/Linux                   |     willfully entering an arse-kicking
branden@debian.org                 |     contest with a monstrous entity
http://people.debian.org/~branden/ |     that has sixteen legs and no arse.

--Y5rl02BVI9TCfPar
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)

iEYEARECAAYFAj+4URQACgkQ6kxmHytGonywEwCaA5uXj6i9hUsPxKerQmcQ3LIv
dLAAnjWFO+z6mhlNKuA+W8GMeNmdK/Lp
=+wJw
-----END PGP SIGNATURE-----

--Y5rl02BVI9TCfPar--



Reply to: